Loading...
Searching...
No Matches
doc_renamesidref_common Class Reference

## Detailed Description

  Replaces all uses of a given `SIdRef` type attribute value with another value.

In SBML, object identifiers are of a data type called `SId`. In SBML Level 3, an explicit data type called `SIdRef` was introduced for attribute values that refer to `SId` values; in previous Levels of SBML, this data type did not exist and attributes were simply described to as "referring to an identifier", but the effective data type was the same as `SIdRef` in Level 3. These and other methods of libSBML refer to the type `SIdRef` for all Levels of SBML, even if the corresponding SBML specification did not explicitly name the data type.

This method works by looking at all attributes and (if appropriate) mathematical formulas in MathML content, comparing the referenced identifiers to the value of `oldid`. If any matches are found, the matching values are replaced with `newid`. The method does not descend into child elements.

Parameters

  oldid | the old identifier.
  newid | the new identifier.